package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrAirtight;

/**
 * 气密Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrAirtightService 
{
    /**
     * 查询气密
     * 
     * @param id 气密ID
     * @return 气密
     */
    public TPssrAirtight selectTPssrAirtightById(Long id);
    public int selectNoConfirmCount(Long subId);
    

    /**
     * 查询气密列表
     * 
     * @param tPssrAirtight 气密
     * @return 气密集合
     */
    public List<TPssrAirtight> selectTPssrAirtightList(TPssrAirtight tPssrAirtight);

    /**
     * 新增气密
     * 
     * @param tPssrAirtight 气密
     * @return 结果
     */
    public int insertTPssrAirtight(TPssrAirtight tPssrAirtight);

    /**
     * 修改气密
     * 
     * @param tPssrAirtight 气密
     * @return 结果
     */
    public int updateTPssrAirtight(TPssrAirtight tPssrAirtight);

    /**
     * 批量删除气密
     * 
     * @param ids 需要删除的气密ID
     * @return 结果
     */
    public int deleteTPssrAirtightByIds(Long[] ids);

    /**
     * 删除气密信息
     * 
     * @param id 气密ID
     * @return 结果
     */
    public int deleteTPssrAirtightById(Long id);
}
